<?php
session_start();
error_reporting(0);

date_default_timezone_set('america/mexico_city');
include "../js/conectpoo.php";

switch($_GET['op']){

        
case '44':{
$cliente=$_GET['cliente'];

$kuery ="SELECT * FROM `proyectos` WHERE `id_cliente` = $cliente";
$objeto= new db();
$datosbanner=$objeto->consultaregistros($kuery);
    for($x=0;$x<count($datosbanner);$x++){
        $id_proyectos =  $datosbanner[$x]['id_proyectos'];
        $id_cliente =  $datosbanner[$x]['id_cliente'];
        $nombre =  $datosbanner[$x]['nombre'];
        $fecha =  $datosbanner[$x]['fecha'];

        $resp.=<<<jjj
$id_proyectos * $nombre -
jjj;
    }
$resp = substr($resp, 0, -2);
$contenido = $resp;
}break;


case '97':{
$fechaI = $_GET['fechai'];
$fechaF = $_GET['fechaf'];
$idcliente = $_GET['idcliente'];   
$idproyecto = $_GET['idproyecto'];
$idlinea = $_GET['idlinea']; 
$filtros = "";

if($idcliente != ''){
    
    if($idproyecto != ''){
        $filtros = " AND id_proyectos=$idproyecto";
    }else{
        if($idlinea != ''){
             $filtros =" AND id_cliente=$idcliente AND idlineadenegocio=$idlinea";
        }else{
            $filtros = " AND id_cliente=$idcliente";    
        }
    }
}else{
    if($idlinea != ''){
        $filtros =" AND idlineadenegocio=$idlinea";
    }else{
        $filtros = "";   
    }
}   
    
$objeto = new db();
$kuery = "SELECT cc,nombre,(SELECT SUM(ingresos.montoreal) FROM ingresos WHERE proyectos.cc=ingresos.id_cc AND ingresos.fecha_real BETWEEN '$fechaI' AND '$fechaF') AS ingreso_real,(SELECT ingresos_presupuestados.tabla_ingresos FROM ingresos_presupuestados WHERE ingresos_presupuestados.id_proyecto=proyectos.id_proyectos) AS tabla_presupuestado,(SELECT ingresos_presupuestados.total_proyectado FROM ingresos_presupuestados WHERE ingresos_presupuestados.id_proyecto=proyectos.id_proyectos) AS total_presupuestado FROM `proyectos` WHERE cc>0 ".$filtros;

$resultado = $objeto -> consultaregistros($kuery);
   
for($x=0; $x < count($resultado); $x++){
    $id_cc =  $resultado[$x]['cc'];
    $cc_nombre =  $resultado[$x]['nombre'];
    $ingresoReal =  $resultado[$x]['ingreso_real'];
    $tablaPresupuestado = $resultado[$x]['tabla_presupuestado'];
    $ingresoPresupuestado = $resultado[$x]['total_presupuestado'];
    
    if($ingresoReal== '' & $ingresoPresupuestado==''){
        continue;
    }
    
    $resp.=<<<jjj
        $cc_nombre ($id_cc) ¿ $ingresoPresupuestado ¿ $tablaPresupuestado ¿ $ingresoReal ?
jjj;
}
    
$contenido = $resp;
}break;
        
    
case '98':{
$fechaI = $_GET['fechai'];
$fechaF = $_GET['fechaf'];
$idcliente = $_GET['idcliente'];   
$idproyecto = $_GET['idproyecto'];
$idlinea = $_GET['idlinea']; 
$filtros = "";

if($idcliente != ''){
    
    if($idproyecto != ''){
        $filtros = " AND id_proyectos=$idproyecto";
    }else{
        if($idlinea != ''){
             $filtros =" AND id_cliente=$idcliente AND idlineadenegocio=$idlinea";
        }else{
            $filtros = " AND id_cliente=$idcliente";    
        }
    }
}else{
    if($idlinea != ''){
        $filtros =" AND idlineadenegocio=$idlinea";
    }else{
        $filtros = "";   
    }
}   
    
$objeto = new db();
$kuery = "SELECT id_proyectos,cc,nombre,(SELECT SUM(egreso.monto_real) FROM egreso WHERE proyectos.cc=egreso.id_cc AND egreso.fecha_real BETWEEN '$fechaI' AND '$fechaF') AS egreso_real FROM `proyectos` WHERE cc>0".$filtros;

$resultado = $objeto -> consultaregistros($kuery);
   
for($x=0; $x < count($resultado); $x++){
    $id_proyecto =  $resultado[$x]['id_proyectos'];
    $id_cc =  $resultado[$x]['cc'];
    $cc_nombre =  $resultado[$x]['nombre'];
    $egresoReal =  $resultado[$x]['egreso_real'];
    $variables = getVariables($id_proyecto);
    $fijos = getFijos($id_proyecto);    
    $resp.=<<<jjj
        $id_proyecto , $cc_nombre ($id_cc) , $egresoReal , $variables , $fijos ?
jjj;
}
    
$contenido = $resp;
}break;         
       

case '99':{
$fechaI = $_GET['fechai'];
$fechaF = $_GET['fechaf'];
$idcliente = $_GET['idcliente'];   
$idproyecto = $_GET['idproyecto'];
$idlinea = $_GET['idlinea']; 
$filtros = "";

if($idcliente != ''){
    
    if($idproyecto != ''){
        $filtros = " AND id_proyectos=$idproyecto";
    }else{
        if($idlinea != ''){
             $filtros =" AND id_cliente=$idcliente AND idlineadenegocio=$idlinea";
        }else{
            $filtros = " AND id_cliente=$idcliente";    
        }
    }
}else{
    if($idlinea != ''){
        $filtros =" AND idlineadenegocio=$idlinea";
    }else{
        $filtros = "";   
    }
}

    
$objeto = new db();
$kuery = "SELECT DISTINCT (cotiza.id_proyectos) FROM `cotiza_etapas` INNER JOIN cotiza ON cotiza.id_cotiza=cotiza_etapas.id_cotiza WHERE cotiza.estado=1 AND (cotiza_etapas.etapafi<='$fechaF' AND cotiza_etapas.etapaff>='$fechaI')";
$resultado = $objeto -> consultaregistros($kuery);
   
$kuery = "SELECT DISTINCT egreso.id_cc,(SELECT proyectos.id_proyectos FROM proyectos WHERE egreso.id_cc=proyectos.cc) AS idproyecto FROM `egreso`WHERE fecha_real BETWEEN '$fechaI' AND '$fechaF' AND clasificacionegreso LIKE 'DIRECTO%' AND egreso.id_cc>0";

$objeto2 = new db();
$resultado2 = $objeto2 -> consultaregistros($kuery);

for($x=0; $x < count($resultado); $x++){
    $lista[$x] =  $resultado[$x]['id_proyectos'];
}

$index = count($resultado)-1;

for($x=0; $x < count($resultado2); $x++){
    $proyecto =  $resultado2[$x]['idproyecto'];
    $repetido = 0;
    
    for($y=0; $y < count($lista); $y++){
        if($lista[$y] ==  $proyecto){
            $repetido = $y;
            
        }
    }
    
    if($repetido == 0){
        $index++;
        $lista[$index] = $proyecto;   
    }

}

$proyectos = '';

for($x=0; $x < count($lista); $x++){
    $idproyecto =  (int)$lista[$x];

    if($idproyecto > 0){
        if($x == count($lista) - 1){
            $proyectos = $proyectos.$idproyecto;    
        }else{
            $proyectos = $proyectos.$idproyecto.",";
        }    
    }
}


$kuery = "SELECT id_proyectos,nombre,cc,(SELECT SUM(egreso.monto_real) FROM egreso WHERE proyectos.cc = egreso.id_cc AND egreso.fecha_real BETWEEN '$fechaI' AND '$fechaF') AS egreso_real, (SELECT egresosd_presupuestados.tabla_egresosd FROM egresosd_presupuestados WHERE proyectos.id_proyectos=egresosd_presupuestados.id_proyecto) AS egresop_fijo FROM `proyectos` WHERE id_proyectos IN ($proyectos) ".$filtros." ORDER BY id_proyectos ASC";
$objeto = new db();
$resultado3 = $objeto -> consultaregistros($kuery);

for($x=0; $x < count($resultado3); $x++){
    $id_proyecto =  $resultado3[$x]['id_proyectos'];
    $nombre =  $resultado3[$x]['nombre'];
    $cc =  $resultado3[$x]['cc'];

    $egresoReal =  $resultado3[$x]['egreso_real'];
    $egresop_fijo = $resultado3[$x]['egresop_fijo'];
    $variables = getVariables($id_proyecto);

    $resp.=<<<jjj
        $id_proyecto , $nombre ($cc) , $egresoReal , $variables, $egresop_fijo ?
jjj;
}
    
$contenido = $resp;//$proyectos;
}break; 



}



function getVariables($proyecto){
    
$kuery ="SELECT total_proyectado,tabla_egresos FROM `egresos_presupuestados` WHERE id_proyecto='$proyecto'";
$objeto= new db();
$resultado=$objeto->consultaregistros($kuery); 
    
for($x=0; $x < count($resultado); $x++){
    $total_proyectado =  $resultado[$x]['total_proyectado'];
    $tabla_egresos =  $resultado[$x]['tabla_egresos'];
    
    $resp.=<<<jjj
$total_proyectado @ $tabla_egresos %
jjj;
}
    
return $resp; 
}


function getFijos($idproyecto){

$kuery = "SELECT detalle_cotiza_etapas.id_catproduct AS idP,detalle_cotiza_etapas.id_cotiza_etapas AS id_etapa,cotiza_etapas.etapafi AS fecha1,cotiza_etapas.etapaff AS fecha2,detalle_cotiza_etapas.monto AS monto FROM `detalle_cotiza_etapas` INNER JOIN cotiza_etapas ON detalle_cotiza_etapas.id_cotiza_etapas=cotiza_etapas.id_cotiza_etapas INNER JOIN cotiza ON cotiza_etapas.id_cotiza=cotiza.id_cotiza WHERE cotiza.id_proyectos=$idproyecto AND detalle_cotiza_etapas.tipo=1 AND cotiza_etapas.etapafi!='' AND cotiza_etapas.etapaff!=''";
$objeto= new db();
$resultado = $objeto->consultaregistros($kuery);
    
for($x=0; $x < count($resultado); $x++){
    $id_tipo =  $resultado[$x]['idP'];
    $id_etapa =  $resultado[$x]['id_etapa'];
    $fecha1 =  $resultado[$x]['fecha1'];
    $fecha2 =  $resultado[$x]['fecha2'];
    $monto =  $resultado[$x]['monto'];
    
    if($fecha1 == 'undefined' || $fecha2 == 'undefined')
        continue;
    
    $resp.=<<<jjj
    $fecha1 @ $fecha2 @ $monto %
jjj;
}
    
return $resp;
}

echo $contenido;


?>
